# Retrieve a TransactionEntry object

Retrieves the details of a TransactionEntry by ID.

## Request

```curl
curl https://api.stripe.com/v2/money_management/transaction_entries/trxne_65O8p4MRdLlbQQi89Zy16NoTesLDSQ1IgNPigisRKq0N8y \
  -H "Authorization: Bearer <<YOUR_SECRET_KEY>>" \
  -H "Stripe-Version: 2025-11-17.preview"
```

### Response

```json
{
  "id": "trxne_65O8p4MRdLlbQQi89Zy16NoTesLDSQ1IgNPigisRKq0N8y",
  "object": "v2.money_management.transaction_entry",
  "balance_impact": {
    "available": {
      "value": 0,
      "currency": "usd"
    },
    "inbound_pending": {
      "value": 0,
      "currency": "usd"
    },
    "outbound_pending": {
      "value": -100,
      "currency": "usd"
    }
  },
  "created": "2023-04-21T21:03:22.244Z",
  "effective_at": "2023-04-21T21:03:19.873Z",
  "livemode": true,
  "transaction": "trxn_65O8p4Ez7cWUhTaRLZy16NoTesLDSQ1IgNPigisRKq0Ino",
  "transaction_details": {
    "financial_account": "fa_65NvnnT0stRlwPDg2kc16NoTesLDSQ1IgNPigisRKq00Km",
    "category": "outbound_transfer",
    "flow": {
      "outbound_transfer": "obt_5O8p4ExNCNlP9gLp4c16NoTesLDSQ1IgNPigisRKq0Nou",
      "type": "outbound_transfer"
    }
  }
}
```

## Parameters

- `id` (string, required)
  The ID of the TransactionEntry to retrieve.

## Returns

## Response attributes

- `id` (string)
  Unique identifier for the object.

- `object` (string, value is "v2.money_management.transaction_entry")
  String representing the object’s type. Objects of the same type share the same value of the object field.

- [`balance_impact`](https://docs.stripe.com/api/v2/money-management/transaction-entries/retrieve.md?query=balance_impact) (object)
  The delta to the FinancialAccount’s balance.

- `created` (timestamp)
  Time at which the object was created.

- `effective_at` (timestamp)
  Time at which the entry impacted (or will impact if it’s in the future) the FinancialAccount balance.

- `livemode` (boolean)
  Has the value `true` if the object exists in live mode or the value `false` if the object exists in test mode.

- `transaction` (string)
  The Transaction that this TransactionEntry belongs to.

- [`transaction_details`](https://docs.stripe.com/api/v2/money-management/transaction-entries/retrieve.md?query=transaction_details) (object)
  Details copied from the transaction that this TransactionEntry belongs to.

## Error Codes

| HTTP status code | Code | Description |
| --- | --- | --- |
| 404 | not_found | The resource wasn’t found. |
